Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model.types
Class CHPAbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.CHPAbstractType

Direct Known Subclasses:
  CharacterProperties

    public abstract class CHPAbstractType

extends java.lang.Object

Character Properties. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  S. Ryan Ackley

Method Summary
`BorderCode` | `getBrc()` Border.
`short` | `getCharsetFlags()` Get the CharsetFlags field for the CHP record.
`short` | `getChse()` Get the chse field for the CHP record.
`byte` | `getCopt()` Collection of the 5 flags.
`int` | `getCpg()` Code page of run in pre-Unicode files.
`Colorref` | `getCv()` 24-bit color.
`DateAndTime` | `getDttmConflict()` When the change was made.
`DateAndTime` | `getDttmDispFldRMark()` The date for the ListNum field number change.
`DateAndTime` | `getDttmPropRMark()` Date/time at which properties of this were changed for this run of text by the author.
`DateAndTime` | `getDttmRMark()` Date/time at which this run of text was entered/modified by the author (Only recorded when revision marking is on.).
`DateAndTime` | `getDttmRMarkDel()` Date/time at which this run of text was deleted by the author (Only recorded when revision marking is on.).
`int` | `getDxaSpace()` Space following each character in the run expressed in twip units..
`boolean` | `getFBorderWS()` Used internally by Word.
`int` | `getFcData()` Points to location of picture data, only if chp.fSpec is true..
`int` | `getFcObj()` Offset in data stream pointing to beginning of a picture when character is an OLE1 object character (character is 0x20 and chp.fSpec is 1, chp.fOle2 is 0)..
`int` | `getFcObjp()` Offset in the data stream indicating the location of OLE object data.
`boolean` | `getFConflictOrig()` When chp.wConflict!=0, this is TRUE when text is part of the original version of text.
`boolean` | `getFConflictOtherDel()` When fConflictOtherDel==fTrue, the other side of a reconciliation conflict causes this text to be deleted.
`int` | `getFcPic()` Offset in data stream pointing to beginning of a picture when character is a picture character (character is 0x01 and chp.fSpec is 1)..
`boolean` | `getFDblBdr()` Used internally by Word.
`boolean` | `getFDispFldRMark()` the number for a ListNum field is being tracked in xstDispFldRMark.
`boolean` | `getFHasOldProps()` Used for character property revision marking.
`boolean` | `getFPropRMark()` properties have been changed with revision marking on.
`boolean` | `getFSdtVanish()` Mark the character as hidden..
`boolean` | `getFSpecSymbol()` Used by Word internally.
`boolean` | `getFSpecVanish()` Special hidden for leading emphasis (always hidden).
`int` | `getFtcAscii()` Font for ASCII text.
`int` | `getFtcBi()` Font for Complex Scripts text.
`int` | `getFtcFE()` Font for East Asian text.
`int` | `getFtcOther()` Font for non-East Asian text.
`int` | `getFtcSym()` an index into the rgffn structure.
`boolean` | `getFUndetermine()` Character is undetermined.
`int` | `getGrpfChp()` Collection of the 32 flags.
`short` | `getHighlight()` Get the Highlight field for the CHP record.
`int` | `getHps()` Font size in half points.
`int` | `getHpsAsci()` Font size for ASCII font.
`int` | `getHpsBi()` Font size for Complex Scripts text.
`int` | `getHpsFE()` Font size for East Asian text.
`int` | `getHpsKern()` Kerning distance for characters in run recorded in half points.
`short` | `getHpsPos()` Reserved (actually used as vertical offset(?) value).
`Hyphenation` | `getHresi()` Get the hresi field for the CHP record.
`Hyphenation` | `getHresiOld()` Get the hresiOld field for the CHP record.
`int` | `getIbstConflict()` Who made this change for this side of the conflict..
`int` | `getIbstDispFldRMark()` Index to author IDs stored in hsttbfRMark.
`int` | `getIbstPropRMark()` Index to author IDs stored in hsttbfRMark.
`int` | `getIbstRMark()` Index to author IDs stored in hsttbfRMark.
`int` | `getIbstRMarkDel()` Index to author IDs stored in hsttbfRMark.
`byte` | `getIco()` Color of text for Word 97.
`byte` | `getIcoHighlight()` Highlight color (see chp.ico)
`byte` | `getIdct()` Not stored in file.
`byte` | `getIdctHint()` Identifier of Character type.
`int` | `getIdslReasonDel()` An index to strings displayed as reasons for actions taken by Word's AutoFormat code.
`int` | `getIdslRMReason()` An index to strings displayed as reasons for actions taken by Word's AutoFormat code.
`byte` | `getIss()` Superscript/subscript indices.
`int` | `getIstd()` Index to character style descriptor in the stylesheet that tags this run of text.
`short` | `getItypFELayout()`
`byte` | `getIWarichuBracket()` Bracket character for two-lines-in-one
`byte` | `getKcd()` Emphasis mark.
`byte` | `getKul()` Underline code.
`byte` | `getLbrCRJ()` Line BReak code for xchCRJ.
`int` | `getLidDefault()` Get the lidDefault field for the CHP record.
`int` | `getLidFE()` Get the lidFE field for the CHP record.
`int` | `getLTagObj()` An object ID for an OLE object, only set if chp.fSpec and chp.fOle2 are both true, and chp.fObj..
`int` | `getPctCharWidth()` Character scale.
`byte` | `getSfxtText()` Text animation.
`ShadingDescriptor` | `getShd()` Shading.
`byte` | `getSpare()` Unused
`short` | `getUfel()` Collection properties represented by itypFELayout and copt (East Asian layout properties).
`int` | `getWCharScale()` Get the wCharScale field for the CHP record.
`int` | `getWConflict()` When != 0, index number that identifies all text participating in a particular conflict incident.
`int` | `getXchSym()` When chp.fSpec==1 and the character recorded for the run in the document stream is chSymbol (0x28), the character stored chp.xchSym will be displayed using the font specified in chp.ftcSym..
`byte[]` | `getXstDispFldRMark()` The string value of the ListNum field when revision mark tracking began.
`boolean` | `isFBiDi()` Complex Scripts right-to-left text that requires special processing to display and process (character reordering; contextual shaping; display of combining characters and diacritics; specialized justification rules; cursor positioning)
`boolean` | `isFBold()` Text is bold
`boolean` | `isFBoldBi()` Complex Scripts text is bold
`boolean` | `isFCaps()` Displayed with caps
`boolean` | `isFCellFitText()` Fit text in cell
`boolean` | `isFChsDiff()` Pre-Unicode files, char's char set different from FIB char set
`boolean` | `isFComplexScripts()` Complex Scripts text that requires special processing to display and process
`boolean` | `isFData()` chp.fcPic points to an FFDATA, the data structure binary data used by Word to describe a form field.
`boolean` | `isFDStrike()` Displayed with double strikethrough
`boolean` | `isFEmboss()` Text is embossed
`boolean` | `isFFldVanish()` Used internally by Word
`boolean` | `isFHighlight()` When 1, characters are highlighted with color specified by chp.icoHighlight
`boolean` | `isFImprint()` Text is engraved
`boolean` | `isFItalic()` Italic
`boolean` | `isFItalicBi()` Complex Scripts text is italics
`boolean` | `isFKumimoji()` combine characters
`boolean` | `isFLowerCase()` Character is displayed in lower case.
`boolean` | `isFLSFitText()` fit text
`boolean` | `isFMacChs()` fTrue if char's are Macintosh char set
`boolean` | `isFObj()` Embedded objec
`boolean` | `isFOle2()` chp.lTagObj specifies a particular object in the object stream that specifies the particular OLE object in the stream that should be displayed when the chPicture fSpec character that is tagged with the fOle2 is encountered.
`boolean` | `isFOutline()` Outlined
`boolean` | `isFRMark()` text is newly typed since the last time revision marks have been accepted and will be displayed with an underline when revision marked text is to be displayed
`boolean` | `isFRMarkDel()` has been deleted and will be displayed with strikethrough when revision marked text is to be displayed
`boolean` | `isFRuby()` Phonetic guide
`boolean` | `isFShadow()` Character is drawn with a shadow
`boolean` | `isFSmallCaps()` Displayed with small caps
`boolean` | `isFSpec()` Character is a Word special character
`boolean` | `isFStrike()` Displayed with strikethrough
`boolean` | `isFTNY()` Tatenakayoko: Horizontal-in-vertical (range of text in a direction perpendicular to the text flow) is used
`boolean` | `isFTNYCompress()` fit text in line
`boolean` | `isFTNYFetchTxm()` fetch text metrics
`boolean` | `isFUsePgsuSettings()` Used internally by Word
`boolean` | `isFVanish()` text has hidden format, and is not displayed unless fPagHidden is set in the DOP
`boolean` | `isFWarichu()` Two lines in one (text in the group is displayed as two half-height lines within a line)
`boolean` | `isFWarichuNoOpenBracket()` Two-lines-in-one uses no open
`boolean` | `isUnused()` Not used
`void` | `setBrc(BorderCode field_24_brc)` Border.
`void` | `setCharsetFlags(short field_49_CharsetFlags)` Set the CharsetFlags field for the CHP record.
`void` | `setChse(short field_50_chse)` Set the chse field for the CHP record.
`void` | `setCopt(byte field_30_copt)` Collection of the 5 flags.
`void` | `setCpg(int field_47_cpg)` Code page of run in pre-Unicode files.
`void` | `setCv(Colorref field_8_cv)` 24-bit color.
`void` | `setDttmConflict(DateAndTime field_58_dttmConflict)` When the change was made.
`void` | `setDttmDispFldRMark(DateAndTime field_61_dttmDispFldRMark)` The date for the ListNum field number change.
`void` | `setDttmPropRMark(DateAndTime field_53_dttmPropRMark)` Date/time at which properties of this were changed for this run of text by the author.
`void` | `setDttmRMark(DateAndTime field_42_dttmRMark)` Date/time at which this run of text was entered/modified by the author (Only recorded when revision marking is on.).
`void` | `setDttmRMarkDel(DateAndTime field_43_dttmRMarkDel)` Date/time at which this run of text was deleted by the author (Only recorded when revision marking is on.).
`void` | `setDxaSpace(int field_7_dxaSpace)` Space following each character in the run expressed in twip units..
`void` | `setFBiDi(boolean value)` Sets the fBiDi field value.
`void` | `setFBold(boolean value)` Sets the fBold field value.
`void` | `setFBoldBi(boolean value)` Sets the fBoldBi field value.
`void` | `setFBorderWS(boolean field_28_fBorderWS)` Used internally by Word.
`void` | `setFCaps(boolean value)` Sets the fCaps field value.
`void` | `setFcData(int field_39_fcData)` Points to location of picture data, only if chp.fSpec is true..
`void` | `setFCellFitText(boolean value)` Sets the fCellFitText field value.
`void` | `setFChsDiff(boolean value)` Sets the fChsDiff field value.
`void` | `setFcObj(int field_37_fcObj)` Offset in data stream pointing to beginning of a picture when character is an OLE1 object character (character is 0x20 and chp.fSpec is 1, chp.fOle2 is 0)..
`void` | `setFcObjp(int field_63_fcObjp)` Offset in the data stream indicating the location of OLE object data.
`void` | `setFComplexScripts(boolean value)` Sets the fComplexScripts field value.
`void` | `setFConflictOrig(boolean field_54_fConflictOrig)` When chp.wConflict!=0, this is TRUE when text is part of the original version of text.
`void` | `setFConflictOtherDel(boolean field_55_fConflictOtherDel)` When fConflictOtherDel==fTrue, the other side of a reconciliation conflict causes this text to be deleted.
`void` | `setFcPic(int field_36_fcPic)` Offset in data stream pointing to beginning of a picture when character is a picture character (character is 0x01 and chp.fSpec is 1)..
`void` | `setFData(boolean value)` Sets the fData field value.
`void` | `setFDblBdr(boolean field_27_fDblBdr)` Used internally by Word.
`void` | `setFDispFldRMark(boolean field_59_fDispFldRMark)` the number for a ListNum field is being tracked in xstDispFldRMark.
`void` | `setFDStrike(boolean value)` Sets the fDStrike field value.
`void` | `setFEmboss(boolean value)` Sets the fEmboss field value.
`void` | `setFFldVanish(boolean value)` Sets the fFldVanish field value.
`void` | `setFHasOldProps(boolean field_66_fHasOldProps)` Used for character property revision marking.
`void` | `setFHighlight(boolean value)` Sets the fHighlight field value.
`void` | `setFImprint(boolean value)` Sets the fImprint field value.
`void` | `setFItalic(boolean value)` Sets the fItalic field value.
`void` | `setFItalicBi(boolean value)` Sets the fItalicBi field value.
`void` | `setFKumimoji(boolean value)` Sets the fKumimoji field value.
`void` | `setFLowerCase(boolean value)` Sets the fLowerCase field value.
`void` | `setFLSFitText(boolean value)` Sets the fLSFitText field value.
`void` | `setFMacChs(boolean value)` Sets the fMacChs field value.
`void` | `setFObj(boolean value)` Sets the fObj field value.
`void` | `setFOle2(boolean value)` Sets the fOle2 field value.
`void` | `setFOutline(boolean value)` Sets the fOutline field value.
`void` | `setFPropRMark(boolean field_51_fPropRMark)` properties have been changed with revision marking on.
`void` | `setFRMark(boolean value)` Sets the fRMark field value.
`void` | `setFRMarkDel(boolean value)` Sets the fRMarkDel field value.
`void` | `setFRuby(boolean value)` Sets the fRuby field value.
`void` | `setFSdtVanish(boolean field_67_fSdtVanish)` Mark the character as hidden..
`void` | `setFShadow(boolean value)` Sets the fShadow field value.
`void` | `setFSmallCaps(boolean value)` Sets the fSmallCaps field value.
`void` | `setFSpec(boolean value)` Sets the fSpec field value.
`void` | `setFSpecSymbol(boolean field_16_fSpecSymbol)` Used by Word internally.
`void` | `setFSpecVanish(boolean field_65_fSpecVanish)` Special hidden for leading emphasis (always hidden).
`void` | `setFStrike(boolean value)` Sets the fStrike field value.
`void` | `setFtcAscii(int field_3_ftcAscii)` Font for ASCII text.
`void` | `setFtcBi(int field_6_ftcBi)` Font for Complex Scripts text.
`void` | `setFtcFE(int field_4_ftcFE)` Font for East Asian text.
`void` | `setFtcOther(int field_5_ftcOther)` Font for non-East Asian text.
`void` | `setFtcSym(int field_34_ftcSym)` an index into the rgffn structure.
`void` | `setFTNY(boolean value)` Sets the fTNY field value.
`void` | `setFTNYCompress(boolean value)` Sets the fTNYCompress field value.
`void` | `setFTNYFetchTxm(boolean value)` Sets the fTNYFetchTxm field value.
`void` | `setFUndetermine(boolean field_14_fUndetermine)` Character is undetermined.
`void` | `setFUsePgsuSettings(boolean value)` Sets the fUsePgsuSettings field value.
`void` | `setFVanish(boolean value)` Sets the fVanish field value.
`void` | `setFWarichu(boolean value)` Sets the fWarichu field value.
`void` | `setFWarichuNoOpenBracket(boolean value)` Sets the fWarichuNoOpenBracket field value.
`void` | `setGrpfChp(int field_1_grpfChp)` Collection of the 32 flags.
`void` | `setHighlight(short field_48_Highlight)` Set the Highlight field for the CHP record.
`void` | `setHps(int field_2_hps)` Font size in half points.
`void` | `setHpsAsci(int field_31_hpsAsci)` Font size for ASCII font.
`void` | `setHpsBi(int field_33_hpsBi)` Font size for Complex Scripts text.
`void` | `setHpsFE(int field_32_hpsFE)` Font size for East Asian text.
`void` | `setHpsKern(int field_21_hpsKern)` Kerning distance for characters in run recorded in half points.
`void` | `setHpsPos(short field_22_hpsPos)` Reserved (actually used as vertical offset(?) value).
`void` | `setHresi(Hyphenation field_20_hresi)` Set the hresi field for the CHP record.
`void` | `setHresiOld(Hyphenation field_40_hresiOld)` Set the hresiOld field for the CHP record.
`void` | `setIbstConflict(int field_57_IbstConflict)` Who made this change for this side of the conflict..
`void` | `setIbstDispFldRMark(int field_60_ibstDispFldRMark)` Index to author IDs stored in hsttbfRMark.
`void` | `setIbstPropRMark(int field_52_ibstPropRMark)` Index to author IDs stored in hsttbfRMark.
`void` | `setIbstRMark(int field_25_ibstRMark)` Index to author IDs stored in hsttbfRMark.
`void` | `setIbstRMarkDel(int field_41_ibstRMarkDel)` Index to author IDs stored in hsttbfRMark.
`void` | `setIco(byte field_9_ico)` Color of text for Word 97.
`void` | `setIcoHighlight(byte value)` Sets the icoHighlight field value.
`void` | `setIdct(byte field_17_idct)` Not stored in file.
`void` | `setIdctHint(byte field_18_idctHint)` Identifier of Character type.
`void` | `setIdslReasonDel(int field_46_idslReasonDel)` An index to strings displayed as reasons for actions taken by Word's AutoFormat code.
`void` | `setIdslRMReason(int field_45_idslRMReason)` An index to strings displayed as reasons for actions taken by Word's AutoFormat code.
`void` | `setIss(byte field_15_iss)` Superscript/subscript indices.
`void` | `setIstd(int field_44_istd)` Index to character style descriptor in the stylesheet that tags this run of text.
`void` | `setItypFELayout(short value)` Sets the itypFELayout field value.
`void` | `setIWarichuBracket(byte value)` Sets the iWarichuBracket field value.
`void` | `setKcd(byte field_13_kcd)` Emphasis mark.
`void` | `setKul(byte field_19_kul)` Underline code.
`void` | `setLbrCRJ(byte field_64_lbrCRJ)` Line BReak code for xchCRJ.
`void` | `setLidDefault(int field_11_lidDefault)` Set the lidDefault field for the CHP record.
`void` | `setLidFE(int field_12_lidFE)` Set the lidFE field for the CHP record.
`void` | `setLTagObj(int field_38_lTagObj)` An object ID for an OLE object, only set if chp.fSpec and chp.fOle2 are both true, and chp.fObj..
`void` | `setPctCharWidth(int field_10_pctCharWidth)` Character scale.
`void` | `setSfxtText(byte field_26_sfxtText)` Text animation.
`void` | `setShd(ShadingDescriptor field_23_shd)` Shading.
`void` | `setSpare(byte value)` Sets the spare field value.
`void` | `setUfel(short field_29_ufel)` Collection properties represented by itypFELayout and copt (East Asian layout properties).
`void` | `setUnused(boolean value)` Sets the unused field value.
`void` | `setWCharScale(int field_68_wCharScale)` Set the wCharScale field for the CHP record.
`void` | `setWConflict(int field_56_wConflict)` When != 0, index number that identifies all text participating in a particular conflict incident.
`void` | `setXchSym(int field_35_xchSym)` When chp.fSpec==1 and the character recorded for the run in the document stream is chSymbol (0x28), the character stored chp.xchSym will be displayed using the font specified in chp.ftcSym..
`void` | `setXstDispFldRMark(byte[] field_62_xstDispFldRMark)` The string value of the ListNum field when revision mark tracking began.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getGrpfChp

    public int getGrpfChp()

  Collection of the 32 flags.

### setGrpfChp

    public void setGrpfChp(int field_1_grpfChp)

  Collection of the 32 flags.

### getHps

    public int getHps()

  Font size in half points.

### setHps

    public void setHps(int field_2_hps)

  Font size in half points.

### getFtcAscii

    public int getFtcAscii()

  Font for ASCII text.

### setFtcAscii

    public void setFtcAscii(int field_3_ftcAscii)

  Font for ASCII text.

### getFtcFE

    public int getFtcFE()

  Font for East Asian text.

### setFtcFE

    public void setFtcFE(int field_4_ftcFE)

  Font for East Asian text.

### getFtcOther

    public int getFtcOther()

  Font for non-East Asian text.

### setFtcOther

    public void setFtcOther(int field_5_ftcOther)

  Font for non-East Asian text.

### getFtcBi

    public int getFtcBi()

  Font for Complex Scripts text.

### setFtcBi

    public void setFtcBi(int field_6_ftcBi)

  Font for Complex Scripts text.

### getDxaSpace

    public int getDxaSpace()

  Space following each character in the run expressed in twip units..

### setDxaSpace

    public void setDxaSpace(int field_7_dxaSpace)

  Space following each character in the run expressed in twip units..

### getCv

    public Colorref getCv()

  24-bit color.

### setCv

    public void setCv(Colorref field_8_cv)

  24-bit color.

### getIco

    public byte getIco()

  Color of text for Word 97.

### setIco

    public void setIco(byte field_9_ico)

  Color of text for Word 97.

### getPctCharWidth

    public int getPctCharWidth()

  Character scale.

### setPctCharWidth

    public void setPctCharWidth(int field_10_pctCharWidth)

  Character scale.

### getLidDefault

    public int getLidDefault()

  Get the lidDefault field for the CHP record.

### setLidDefault

    public void setLidDefault(int field_11_lidDefault)

  Set the lidDefault field for the CHP record.

### getLidFE

    public int getLidFE()

  Get the lidFE field for the CHP record.

### setLidFE

    public void setLidFE(int field_12_lidFE)

  Set the lidFE field for the CHP record.

### getKcd

    public byte getKcd()

  Emphasis mark.

  Returns:
    One of
    - `KCD_NON`
    - `KCD_DOT`
    - `KCD_COMMA`
    - `KCD_CIRCLE`
    - `KCD_UNDER_DOT`

### setKcd

    public void setKcd(byte field_13_kcd)

  Emphasis mark.

  Parameters:
    `field_13_kcd` - One of
    - `KCD_NON`
    - `KCD_DOT`
    - `KCD_COMMA`
    - `KCD_CIRCLE`
    - `KCD_UNDER_DOT`

### getFUndetermine

    public boolean getFUndetermine()

  Character is undetermined.

### setFUndetermine

    public void setFUndetermine(boolean field_14_fUndetermine)

  Character is undetermined.

### getIss

    public byte getIss()

  Superscript/subscript indices.

  Returns:
    One of
    - `ISS_NONE`
    - `ISS_SUPERSCRIPTED`
    - `ISS_SUBSCRIPTED`

### setIss

    public void setIss(byte field_15_iss)

  Superscript/subscript indices.

  Parameters:
    `field_15_iss` - One of
    - `ISS_NONE`
    - `ISS_SUPERSCRIPTED`
    - `ISS_SUBSCRIPTED`

### getFSpecSymbol

    public boolean getFSpecSymbol()

  Used by Word internally.

### setFSpecSymbol

    public void setFSpecSymbol(boolean field_16_fSpecSymbol)

  Used by Word internally.

### getIdct

    public byte getIdct()

  Not stored in file.

### setIdct

    public void setIdct(byte field_17_idct)

  Not stored in file.

### getIdctHint

    public byte getIdctHint()

  Identifier of Character type.

### setIdctHint

    public void setIdctHint(byte field_18_idctHint)

  Identifier of Character type.

### getKul

    public byte getKul()

  Underline code.

  Returns:
    One of
    - `KUL_NONE`
    - `KUL_SINGLE`
    - `KUL_BY_WORD`
    - `KUL_DOUBLE`
    - `KUL_DOTTED`
    - `KUL_HIDDEN`
    - `KUL_THICK`
    - `KUL_DASH`
    - `KUL_DOT`
    - `KUL_DOT_DASH`
    - `KUL_DOT_DOT_DASH`
    - `KUL_WAVE`
    - `KUL_DOTTED_HEAVY`
    - `KUL_DASHED_HEAVY`
    - `KUL_DOT_DASH_HEAVY`
    - `KUL_DOT_DOT_DASH_HEAVY`
    - `KUL_WAVE_HEAVY`
    - `KUL_DASH_LONG`
    - `KUL_WAVE_DOUBLE`
    - `KUL_DASH_LONG_HEAVY`

### setKul

    public void setKul(byte field_19_kul)

  Underline code.

  Parameters:
    `field_19_kul` - One of
    - `KUL_NONE`
    - `KUL_SINGLE`
    - `KUL_BY_WORD`
    - `KUL_DOUBLE`
    - `KUL_DOTTED`
    - `KUL_HIDDEN`
    - `KUL_THICK`
    - `KUL_DASH`
    - `KUL_DOT`
    - `KUL_DOT_DASH`
    - `KUL_DOT_DOT_DASH`
    - `KUL_WAVE`
    - `KUL_DOTTED_HEAVY`
    - `KUL_DASHED_HEAVY`
    - `KUL_DOT_DASH_HEAVY`
    - `KUL_DOT_DOT_DASH_HEAVY`
    - `KUL_WAVE_HEAVY`
    - `KUL_DASH_LONG`
    - `KUL_WAVE_DOUBLE`
    - `KUL_DASH_LONG_HEAVY`

### getHresi

    public Hyphenation getHresi()

  Get the hresi field for the CHP record.

### setHresi

    public void setHresi(Hyphenation field_20_hresi)

  Set the hresi field for the CHP record.

### getHpsKern

    public int getHpsKern()

  Kerning distance for characters in run recorded in half points.

### setHpsKern

    public void setHpsKern(int field_21_hpsKern)

  Kerning distance for characters in run recorded in half points.

### getHpsPos

    public short getHpsPos()

  Reserved (actually used as vertical offset(?) value).

### setHpsPos

    public void setHpsPos(short field_22_hpsPos)

  Reserved (actually used as vertical offset(?) value).

### getShd

    public ShadingDescriptor getShd()

  Shading.

### setShd

    public void setShd(ShadingDescriptor field_23_shd)

  Shading.

### getBrc

    public BorderCode getBrc()

  Border.

### setBrc

    public void setBrc(BorderCode field_24_brc)

  Border.

### getIbstRMark

    public int getIbstRMark()

  Index to author IDs stored in hsttbfRMark. Used when text in run was newly typed when revision marking was enabled.

### setIbstRMark

    public void setIbstRMark(int field_25_ibstRMark)

  Index to author IDs stored in hsttbfRMark. Used when text in run was newly typed when revision marking was enabled.

### getSfxtText

    public byte getSfxtText()

  Text animation.

  Returns:
    One of
    - `SFXTTEXT_NO`
    - `SFXTTEXT_LAS_VEGAS_LIGHTS`
    - `SFXTTEXT_BACKGROUND_BLINK`
    - `SFXTTEXT_SPARKLE_TEXT`
    - `SFXTTEXT_MARCHING_ANTS`
    - `SFXTTEXT_MARCHING_RED_ANTS`
    - `SFXTTEXT_SHIMMER`

### setSfxtText

    public void setSfxtText(byte field_26_sfxtText)

  Text animation.

  Parameters:
    `field_26_sfxtText` - One of
    - `SFXTTEXT_NO`
    - `SFXTTEXT_LAS_VEGAS_LIGHTS`
    - `SFXTTEXT_BACKGROUND_BLINK`
    - `SFXTTEXT_SPARKLE_TEXT`
    - `SFXTTEXT_MARCHING_ANTS`
    - `SFXTTEXT_MARCHING_RED_ANTS`
    - `SFXTTEXT_SHIMMER`

### getFDblBdr

    public boolean getFDblBdr()

  Used internally by Word.

### setFDblBdr

    public void setFDblBdr(boolean field_27_fDblBdr)

  Used internally by Word.

### getFBorderWS

    public boolean getFBorderWS()

  Used internally by Word.

### setFBorderWS

    public void setFBorderWS(boolean field_28_fBorderWS)

  Used internally by Word.

### getUfel

    public short getUfel()

  Collection properties represented by itypFELayout and copt (East Asian layout properties).

### setUfel

    public void setUfel(short field_29_ufel)

  Collection properties represented by itypFELayout and copt (East Asian layout properties).

### getCopt

    public byte getCopt()

  Collection of the 5 flags.

### setCopt

    public void setCopt(byte field_30_copt)

  Collection of the 5 flags.

### getHpsAsci

    public int getHpsAsci()

  Font size for ASCII font.

### setHpsAsci

    public void setHpsAsci(int field_31_hpsAsci)

  Font size for ASCII font.

### getHpsFE

    public int getHpsFE()

  Font size for East Asian text.

### setHpsFE

    public void setHpsFE(int field_32_hpsFE)

  Font size for East Asian text.

### getHpsBi

    public int getHpsBi()

  Font size for Complex Scripts text.

### setHpsBi

    public void setHpsBi(int field_33_hpsBi)

  Font size for Complex Scripts text.

### getFtcSym

    public int getFtcSym()

  an index into the rgffn structure. When chp.fSpec is 1 and the character recorded for the run in the document stream is chSymbol (0x28), chp.ftcSym identifies the font code of the symbol font that will be used to display the symbol character recorded in chp.xchSym..

### setFtcSym

    public void setFtcSym(int field_34_ftcSym)

  an index into the rgffn structure. When chp.fSpec is 1 and the character recorded for the run in the document stream is chSymbol (0x28), chp.ftcSym identifies the font code of the symbol font that will be used to display the symbol character recorded in chp.xchSym..

### getXchSym

    public int getXchSym()

  When chp.fSpec==1 and the character recorded for the run in the document stream is chSymbol (0x28), the character stored chp.xchSym will be displayed using the font specified in chp.ftcSym..

### setXchSym

    public void setXchSym(int field_35_xchSym)

  When chp.fSpec==1 and the character recorded for the run in the document stream is chSymbol (0x28), the character stored chp.xchSym will be displayed using the font specified in chp.ftcSym..

### getFcPic

    public int getFcPic()

  Offset in data stream pointing to beginning of a picture when character is a picture character (character is 0x01 and chp.fSpec is 1)..

### setFcPic

    public void setFcPic(int field_36_fcPic)

  Offset in data stream pointing to beginning of a picture when character is a picture character (character is 0x01 and chp.fSpec is 1)..

### getFcObj

    public int getFcObj()

  Offset in data stream pointing to beginning of a picture when character is an OLE1 object character (character is 0x20 and chp.fSpec is 1, chp.fOle2 is 0)..

### setFcObj

    public void setFcObj(int field_37_fcObj)

  Offset in data stream pointing to beginning of a picture when character is an OLE1 object character (character is 0x20 and chp.fSpec is 1, chp.fOle2 is 0)..

### getLTagObj

    public int getLTagObj()

  An object ID for an OLE object, only set if chp.fSpec and chp.fOle2 are both true, and chp.fObj..

### setLTagObj

    public void setLTagObj(int field_38_lTagObj)

  An object ID for an OLE object, only set if chp.fSpec and chp.fOle2 are both true, and chp.fObj..

### getFcData

    public int getFcData()

  Points to location of picture data, only if chp.fSpec is true..

### setFcData

    public void setFcData(int field_39_fcData)

  Points to location of picture data, only if chp.fSpec is true..

### getHresiOld

    public Hyphenation getHresiOld()

  Get the hresiOld field for the CHP record.

### setHresiOld

    public void setHresiOld(Hyphenation field_40_hresiOld)

  Set the hresiOld field for the CHP record.

### getIbstRMarkDel

    public int getIbstRMarkDel()

  Index to author IDs stored in hsttbfRMark. Used when text in run was deleted when revision marking was enabled..

### setIbstRMarkDel

    public void setIbstRMarkDel(int field_41_ibstRMarkDel)

  Index to author IDs stored in hsttbfRMark. Used when text in run was deleted when revision marking was enabled..

### getDttmRMark

    public DateAndTime getDttmRMark()

  Date/time at which this run of text was entered/modified by the author (Only recorded when revision marking is on.).

### setDttmRMark

    public void setDttmRMark(DateAndTime field_42_dttmRMark)

  Date/time at which this run of text was entered/modified by the author (Only recorded when revision marking is on.).

### getDttmRMarkDel

    public DateAndTime getDttmRMarkDel()

  Date/time at which this run of text was deleted by the author (Only recorded when revision marking is on.).

### setDttmRMarkDel

    public void setDttmRMarkDel(DateAndTime field_43_dttmRMarkDel)

  Date/time at which this run of text was deleted by the author (Only recorded when revision marking is on.).

### getIstd

    public int getIstd()

  Index to character style descriptor in the stylesheet that tags this run of text. When istd is istdNormalChar (10 decimal), characters in run are not affected by a character style. If chp.istd contains any other value, chpx of the specified character style are applied to CHP for this run before any other exceptional properties are applied..

### setIstd

    public void setIstd(int field_44_istd)

  Index to character style descriptor in the stylesheet that tags this run of text. When istd is istdNormalChar (10 decimal), characters in run are not affected by a character style. If chp.istd contains any other value, chpx of the specified character style are applied to CHP for this run before any other exceptional properties are applied..

### getIdslRMReason

    public int getIdslRMReason()

  An index to strings displayed as reasons for actions taken by Word's AutoFormat code.

### setIdslRMReason

    public void setIdslRMReason(int field_45_idslRMReason)

  An index to strings displayed as reasons for actions taken by Word's AutoFormat code.

### getIdslReasonDel

    public int getIdslReasonDel()

  An index to strings displayed as reasons for actions taken by Word's AutoFormat code.

### setIdslReasonDel

    public void setIdslReasonDel(int field_46_idslReasonDel)

  An index to strings displayed as reasons for actions taken by Word's AutoFormat code.

### getCpg

    public int getCpg()

  Code page of run in pre-Unicode files.

### setCpg

    public void setCpg(int field_47_cpg)

  Code page of run in pre-Unicode files.

### getHighlight

    public short getHighlight()

  Get the Highlight field for the CHP record.

### setHighlight

    public void setHighlight(short field_48_Highlight)

  Set the Highlight field for the CHP record.

### getCharsetFlags

    public short getCharsetFlags()

  Get the CharsetFlags field for the CHP record.

### setCharsetFlags

    public void setCharsetFlags(short field_49_CharsetFlags)

  Set the CharsetFlags field for the CHP record.

### getChse

    public short getChse()

  Get the chse field for the CHP record.

### setChse

    public void setChse(short field_50_chse)

  Set the chse field for the CHP record.

### getFPropRMark

    public boolean getFPropRMark()

  properties have been changed with revision marking on.

### setFPropRMark

    public void setFPropRMark(boolean field_51_fPropRMark)

  properties have been changed with revision marking on.

### getIbstPropRMark

    public int getIbstPropRMark()

  Index to author IDs stored in hsttbfRMark. Used when properties have been changed when revision marking was enabled..

### setIbstPropRMark

    public void setIbstPropRMark(int field_52_ibstPropRMark)

  Index to author IDs stored in hsttbfRMark. Used when properties have been changed when revision marking was enabled..

### getDttmPropRMark

    public DateAndTime getDttmPropRMark()

  Date/time at which properties of this were changed for this run of text by the author. (Only recorded when revision marking is on.).

### setDttmPropRMark

    public void setDttmPropRMark(DateAndTime field_53_dttmPropRMark)

  Date/time at which properties of this were changed for this run of text by the author. (Only recorded when revision marking is on.).

### getFConflictOrig

    public boolean getFConflictOrig()

  When chp.wConflict!=0, this is TRUE when text is part of the original version of text. When FALSE, text is alternative introduced by reconciliation operation..

### setFConflictOrig

    public void setFConflictOrig(boolean field_54_fConflictOrig)

  When chp.wConflict!=0, this is TRUE when text is part of the original version of text. When FALSE, text is alternative introduced by reconciliation operation..

### getFConflictOtherDel

    public boolean getFConflictOtherDel()

  When fConflictOtherDel==fTrue, the other side of a reconciliation conflict causes this text to be deleted.

### setFConflictOtherDel

    public void setFConflictOtherDel(boolean field_55_fConflictOtherDel)

  When fConflictOtherDel==fTrue, the other side of a reconciliation conflict causes this text to be deleted.

### getWConflict

    public int getWConflict()

  When != 0, index number that identifies all text participating in a particular conflict incident.

### setWConflict

    public void setWConflict(int field_56_wConflict)

  When != 0, index number that identifies all text participating in a particular conflict incident.

### getIbstConflict

    public int getIbstConflict()

  Who made this change for this side of the conflict..

### setIbstConflict

    public void setIbstConflict(int field_57_IbstConflict)

  Who made this change for this side of the conflict..

### getDttmConflict

    public DateAndTime getDttmConflict()

  When the change was made.

### setDttmConflict

    public void setDttmConflict(DateAndTime field_58_dttmConflict)

  When the change was made.

### getFDispFldRMark

    public boolean getFDispFldRMark()

  the number for a ListNum field is being tracked in xstDispFldRMark. If that number is different from the current value, the number has changed. Only valid for ListNum fields..

### setFDispFldRMark

    public void setFDispFldRMark(boolean field_59_fDispFldRMark)

  the number for a ListNum field is being tracked in xstDispFldRMark. If that number is different from the current value, the number has changed. Only valid for ListNum fields..

### getIbstDispFldRMark

    public int getIbstDispFldRMark()

  Index to author IDs stored in hsttbfRMark. Used when ListNum field numbering has been changed when revision marking was enabled..

### setIbstDispFldRMark

    public void setIbstDispFldRMark(int field_60_ibstDispFldRMark)

  Index to author IDs stored in hsttbfRMark. Used when ListNum field numbering has been changed when revision marking was enabled..

### getDttmDispFldRMark

    public DateAndTime getDttmDispFldRMark()

  The date for the ListNum field number change.

### setDttmDispFldRMark

    public void setDttmDispFldRMark(DateAndTime field_61_dttmDispFldRMark)

  The date for the ListNum field number change.

### getXstDispFldRMark

    public byte[] getXstDispFldRMark()

  The string value of the ListNum field when revision mark tracking began.

### setXstDispFldRMark

    public void setXstDispFldRMark(byte[] field_62_xstDispFldRMark)

  The string value of the ListNum field when revision mark tracking began.

### getFcObjp

    public int getFcObjp()

  Offset in the data stream indicating the location of OLE object data.

### setFcObjp

    public void setFcObjp(int field_63_fcObjp)

  Offset in the data stream indicating the location of OLE object data.

### getLbrCRJ

    public byte getLbrCRJ()

  Line BReak code for xchCRJ.

  Returns:
    One of
    - `LBRCRJ_NONE`
    - `LBRCRJ_LEFT`
    - `LBRCRJ_RIGHT`
    - `LBRCRJ_BOTH`

### setLbrCRJ

    public void setLbrCRJ(byte field_64_lbrCRJ)

  Line BReak code for xchCRJ.

  Parameters:
    `field_64_lbrCRJ` - One of
    - `LBRCRJ_NONE`
    - `LBRCRJ_LEFT`
    - `LBRCRJ_RIGHT`
    - `LBRCRJ_BOTH`

### getFSpecVanish

    public boolean getFSpecVanish()

  Special hidden for leading emphasis (always hidden).

### setFSpecVanish

    public void setFSpecVanish(boolean field_65_fSpecVanish)

  Special hidden for leading emphasis (always hidden).

### getFHasOldProps

    public boolean getFHasOldProps()

  Used for character property revision marking. The chp at the time fHasOldProps is set to 1, the is the old chp..

### setFHasOldProps

    public void setFHasOldProps(boolean field_66_fHasOldProps)

  Used for character property revision marking. The chp at the time fHasOldProps is set to 1, the is the old chp..

### getFSdtVanish

    public boolean getFSdtVanish()

  Mark the character as hidden..

### setFSdtVanish

    public void setFSdtVanish(boolean field_67_fSdtVanish)

  Mark the character as hidden..

### getWCharScale

    public int getWCharScale()

  Get the wCharScale field for the CHP record.

### setWCharScale

    public void setWCharScale(int field_68_wCharScale)

  Set the wCharScale field for the CHP record.

### setFBold

    public void setFBold(boolean value)

  Sets the fBold field value. Text is bold

### isFBold

    public boolean isFBold()

  Text is bold

  Returns:
    the fBold field value.

### setFItalic

    public void setFItalic(boolean value)

  Sets the fItalic field value. Italic

### isFItalic

    public boolean isFItalic()

  Italic

  Returns:
    the fItalic field value.

### setFRMarkDel

    public void setFRMarkDel(boolean value)

  Sets the fRMarkDel field value. has been deleted and will be displayed with strikethrough when revision marked text is to be displayed

### isFRMarkDel

    public boolean isFRMarkDel()

  has been deleted and will be displayed with strikethrough when revision marked text is to be displayed

  Returns:
    the fRMarkDel field value.

### setFOutline

    public void setFOutline(boolean value)

  Sets the fOutline field value. Outlined

### isFOutline

    public boolean isFOutline()

  Outlined

  Returns:
    the fOutline field value.

### setFFldVanish

    public void setFFldVanish(boolean value)

  Sets the fFldVanish field value. Used internally by Word

### isFFldVanish

    public boolean isFFldVanish()

  Used internally by Word

  Returns:
    the fFldVanish field value.

### setFSmallCaps

    public void setFSmallCaps(boolean value)

  Sets the fSmallCaps field value. Displayed with small caps

### isFSmallCaps

    public boolean isFSmallCaps()

  Displayed with small caps

  Returns:
    the fSmallCaps field value.

### setFCaps

    public void setFCaps(boolean value)

  Sets the fCaps field value. Displayed with caps

### isFCaps

    public boolean isFCaps()

  Displayed with caps

  Returns:
    the fCaps field value.

### setFVanish

    public void setFVanish(boolean value)

  Sets the fVanish field value. text has hidden format, and is not displayed unless fPagHidden is set in the DOP

### isFVanish

    public boolean isFVanish()

  text has hidden format, and is not displayed unless fPagHidden is set in the DOP

  Returns:
    the fVanish field value.

### setFRMark

    public void setFRMark(boolean value)

  Sets the fRMark field value. text is newly typed since the last time revision marks have been accepted and will be displayed with an underline when revision marked text is to be displayed

### isFRMark

    public boolean isFRMark()

  text is newly typed since the last time revision marks have been accepted and will be displayed with an underline when revision marked text is to be displayed

  Returns:
    the fRMark field value.

### setFSpec

    public void setFSpec(boolean value)

  Sets the fSpec field value. Character is a Word special character

### isFSpec

    public boolean isFSpec()

  Character is a Word special character

  Returns:
    the fSpec field value.

### setFStrike

    public void setFStrike(boolean value)

  Sets the fStrike field value. Displayed with strikethrough

### isFStrike

    public boolean isFStrike()

  Displayed with strikethrough

  Returns:
    the fStrike field value.

### setFObj

    public void setFObj(boolean value)

  Sets the fObj field value. Embedded objec

### isFObj

    public boolean isFObj()

  Embedded objec

  Returns:
    the fObj field value.

### setFShadow

    public void setFShadow(boolean value)

  Sets the fShadow field value. Character is drawn with a shadow

### isFShadow

    public boolean isFShadow()

  Character is drawn with a shadow

  Returns:
    the fShadow field value.

### setFLowerCase

    public void setFLowerCase(boolean value)

  Sets the fLowerCase field value. Character is displayed in lower case. This field may be set to 1 only when chp.fSmallCaps is 1.

### isFLowerCase

    public boolean isFLowerCase()

  Character is displayed in lower case. This field may be set to 1 only when chp.fSmallCaps is 1.

  Returns:
    the fLowerCase field value.

### setFData

    public void setFData(boolean value)

  Sets the fData field value. chp.fcPic points to an FFDATA, the data structure binary data used by Word to describe a form field. The bit chp.fData may only be 1 when chp.fSpec is also 1 and the special character in the document stream that has this property is a chPicture (0x01)

### isFData

    public boolean isFData()

  chp.fcPic points to an FFDATA, the data structure binary data used by Word to describe a form field. The bit chp.fData may only be 1 when chp.fSpec is also 1 and the special character in the document stream that has this property is a chPicture (0x01)

  Returns:
    the fData field value.

### setFOle2

    public void setFOle2(boolean value)

  Sets the fOle2 field value. chp.lTagObj specifies a particular object in the object stream that specifies the particular OLE object in the stream that should be displayed when the chPicture fSpec character that is tagged with the fOle2 is encountered. The bit chp.fOle2 may only be 1 when chp.fSpec is also 1 and the special character in the document stream that has this property is a chPicture (0x01).

### isFOle2

    public boolean isFOle2()

  chp.lTagObj specifies a particular object in the object stream that specifies the particular OLE object in the stream that should be displayed when the chPicture fSpec character that is tagged with the fOle2 is encountered. The bit chp.fOle2 may only be 1 when chp.fSpec is also 1 and the special character in the document stream that has this property is a chPicture (0x01).

  Returns:
    the fOle2 field value.

### setFEmboss

    public void setFEmboss(boolean value)

  Sets the fEmboss field value. Text is embossed

### isFEmboss

    public boolean isFEmboss()

  Text is embossed

  Returns:
    the fEmboss field value.

### setFImprint

    public void setFImprint(boolean value)

  Sets the fImprint field value. Text is engraved

### isFImprint

    public boolean isFImprint()

  Text is engraved

  Returns:
    the fImprint field value.

### setFDStrike

    public void setFDStrike(boolean value)

  Sets the fDStrike field value. Displayed with double strikethrough

### isFDStrike

    public boolean isFDStrike()

  Displayed with double strikethrough

  Returns:
    the fDStrike field value.

### setFUsePgsuSettings

    public void setFUsePgsuSettings(boolean value)

  Sets the fUsePgsuSettings field value. Used internally by Word

### isFUsePgsuSettings

    public boolean isFUsePgsuSettings()

  Used internally by Word

  Returns:
    the fUsePgsuSettings field value.

### setFBoldBi

    public void setFBoldBi(boolean value)

  Sets the fBoldBi field value. Complex Scripts text is bold

### isFBoldBi

    public boolean isFBoldBi()

  Complex Scripts text is bold

  Returns:
    the fBoldBi field value.

### setFComplexScripts

    public void setFComplexScripts(boolean value)

  Sets the fComplexScripts field value. Complex Scripts text that requires special processing to display and process

### isFComplexScripts

    public boolean isFComplexScripts()

  Complex Scripts text that requires special processing to display and process

  Returns:
    the fComplexScripts field value.

### setFItalicBi

    public void setFItalicBi(boolean value)

  Sets the fItalicBi field value. Complex Scripts text is italics

### isFItalicBi

    public boolean isFItalicBi()

  Complex Scripts text is italics

  Returns:
    the fItalicBi field value.

### setFBiDi

    public void setFBiDi(boolean value)

  Sets the fBiDi field value. Complex Scripts right-to-left text that requires special processing to display and process (character reordering; contextual shaping; display of combining characters and diacritics; specialized justification rules; cursor positioning)

### isFBiDi

    public boolean isFBiDi()

  Complex Scripts right-to-left text that requires special processing to display and process (character reordering; contextual shaping; display of combining characters and diacritics; specialized justification rules; cursor positioning)

  Returns:
    the fBiDi field value.

### setItypFELayout

    public void setItypFELayout(short value)

  Sets the itypFELayout field value.

### getItypFELayout

    public short getItypFELayout()

  Returns:
    the itypFELayout field value.

### setFTNY

    public void setFTNY(boolean value)

  Sets the fTNY field value. Tatenakayoko: Horizontal-in-vertical (range of text in a direction perpendicular to the text flow) is used

### isFTNY

    public boolean isFTNY()

  Tatenakayoko: Horizontal-in-vertical (range of text in a direction perpendicular to the text flow) is used

  Returns:
    the fTNY field value.

### setFWarichu

    public void setFWarichu(boolean value)

  Sets the fWarichu field value. Two lines in one (text in the group is displayed as two half-height lines within a line)

### isFWarichu

    public boolean isFWarichu()

  Two lines in one (text in the group is displayed as two half-height lines within a line)

  Returns:
    the fWarichu field value.

### setFKumimoji

    public void setFKumimoji(boolean value)

  Sets the fKumimoji field value. combine characters

### isFKumimoji

    public boolean isFKumimoji()

  combine characters

  Returns:
    the fKumimoji field value.

### setFRuby

    public void setFRuby(boolean value)

  Sets the fRuby field value. Phonetic guide

### isFRuby

    public boolean isFRuby()

  Phonetic guide

  Returns:
    the fRuby field value.

### setFLSFitText

    public void setFLSFitText(boolean value)

  Sets the fLSFitText field value. fit text

### isFLSFitText

    public boolean isFLSFitText()

  fit text

  Returns:
    the fLSFitText field value.

### setSpare

    public void setSpare(byte value)

  Sets the spare field value. Unused

### getSpare

    public byte getSpare()

  Unused

  Returns:
    the spare field value.

### setIWarichuBracket

    public void setIWarichuBracket(byte value)

  Sets the iWarichuBracket field value. Bracket character for two-lines-in-one

### getIWarichuBracket

    public byte getIWarichuBracket()

  Bracket character for two-lines-in-one

  Returns:
    the iWarichuBracket field value.

### setFWarichuNoOpenBracket

    public void setFWarichuNoOpenBracket(boolean value)

  Sets the fWarichuNoOpenBracket field value. Two-lines-in-one uses no open

### isFWarichuNoOpenBracket

    public boolean isFWarichuNoOpenBracket()

  Two-lines-in-one uses no open

  Returns:
    the fWarichuNoOpenBracket field value.

### setFTNYCompress

    public void setFTNYCompress(boolean value)

  Sets the fTNYCompress field value. fit text in line

### isFTNYCompress

    public boolean isFTNYCompress()

  fit text in line

  Returns:
    the fTNYCompress field value.

### setFTNYFetchTxm

    public void setFTNYFetchTxm(boolean value)

  Sets the fTNYFetchTxm field value. fetch text metrics

### isFTNYFetchTxm

    public boolean isFTNYFetchTxm()

  fetch text metrics

  Returns:
    the fTNYFetchTxm field value.

### setFCellFitText

    public void setFCellFitText(boolean value)

  Sets the fCellFitText field value. Fit text in cell

### isFCellFitText

    public boolean isFCellFitText()

  Fit text in cell

  Returns:
    the fCellFitText field value.

### setUnused

    public void setUnused(boolean value)

  Sets the unused field value. Not used

### isUnused

    public boolean isUnused()

  Not used

  Returns:
    the unused field value.

### setIcoHighlight

    public void setIcoHighlight(byte value)

  Sets the icoHighlight field value. Highlight color (see chp.ico)

### getIcoHighlight

    public byte getIcoHighlight()

  Highlight color (see chp.ico)

  Returns:
    the icoHighlight field value.

### setFHighlight

    public void setFHighlight(boolean value)

  Sets the fHighlight field value. When 1, characters are highlighted with color specified by chp.icoHighlight

### isFHighlight

    public boolean isFHighlight()

  When 1, characters are highlighted with color specified by chp.icoHighlight

  Returns:
    the fHighlight field value.

### setFChsDiff

    public void setFChsDiff(boolean value)

  Sets the fChsDiff field value. Pre-Unicode files, char's char set different from FIB char set

### isFChsDiff

    public boolean isFChsDiff()

  Pre-Unicode files, char's char set different from FIB char set

  Returns:
    the fChsDiff field value.

### setFMacChs

    public void setFMacChs(boolean value)

  Sets the fMacChs field value. fTrue if char's are Macintosh char set

### isFMacChs

    public boolean isFMacChs()

  fTrue if char's are Macintosh char set

  Returns:
    the fMacChs field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD